hk_exportcsv(1)

NAME
hk_exportcsv - exports the result set of a query or a table into a comma separated list (CSV). hk_exportcsv is part of the hk_classes package

SYNOPSIS
hk_exportcsv -d driver -b database [OPTIONS] datasourcename

DESCRIPTION
hk_exportcsv exports the result set of a query or a table into a comma separated list (CSV). The data will be printed to stdout. To create a table or a query use knoda (http://www.knoda.org). If the datasource is not a table set the --query option.

OPTIONS

-b, --database=DATABASE
    database name

--between=BETWEEN
    column separator, default is ','

-d, --driver=DRIVERNAME
    set the SQL-driver (e.g. mysql). You can get a list of all existing SQL-drivers with -l or --list

--delimiter=TEXTDELIMITER
    the text delimiter, default is '"'

-f, --filter=FILTER
    filter of the datasource. It has the same syntax as the WHERE clause of a SQL statement, just without the 'WHERE'. Example: "author_id = 5"

-h, --host=HOST
    name or IP-number of the host

-l, --list
    List available database drivers

--noheader
    if set the column names will not be included in the first row

-p, --password=PASSWORD
    user password at the SQL server

-q, --query
    if set the datasource is a query, not a table

-r, --port=PORT
    TCP-port on host

-u, --user=USERNAME
    user name at the sql-server

--version
    version and author of hk_classes

DIAGNOSTICS
hk_exportcsv returns 0 if everything was ok, or 1 if an error occured. A clear text error message will be written to stderr.

AUTHOR
Horst Knorr <hk_classes@knoda.org>

SEE ALSO
hk_actionquery(1), hk_exportxml(1), hk_importcsv(1), hk_report(1)